{"openapi":"3.0.1","info":{"title":"CallCenterSDK REST API","description":"Stateless CallCenterSDK REST API implementation","contact":{"name":"ID R&D support","email":"support@idrnd.net"},"version":"1.12.0"},"servers":[{"url":"https://voice-cc-rest-api.idrnd.net","description":"Generated server url"}],"paths":{"/voice_template_matcher/match_voice_templates":{"post":{"tags":["voice-template-matcher-controller"],"summary":"Match two voice templates","operationId":"matchVoiceTemplates","parameters":[{"name":"configuration","in":"query","description":"Configuration, optional","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateMatchRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyResult"}}}}}}},"/voice_template_factory/merge_voice_templates":{"post":{"tags":["voice-template-factory-controller"],"summary":"Merge multiple voice templates to a union voice template","operationId":"mergeVoiceTemplates","parameters":[{"name":"configuration","in":"query","description":"Configuration, optional","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/voice_template_factory/get_voice_template_init_data_id":{"post":{"tags":["voice-template-factory-controller"],"summary":"Get ID of the init data used to create given voice template","operationId":"getVoiceTemplateInitDataId","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/voice_template_factory/create_voice_template_from_samples":{"post":{"tags":["voice-template-factory-controller"],"summary":"Create voice template using given PCM16 audio samples","operationId":"createVoiceTemplateFromSamples","parameters":[{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"channel_type","in":"query","description":"Audio record channel type, optional","required":false,"schema":{"type":"string","enum":["MIC","TEL","MIXED"]}},{"name":"configuration","in":"query","description":"Configuration, optional","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/voice_template_factory/create_voice_template_from_file":{"post":{"tags":["voice-template-factory-controller"],"summary":"Create voice template using given audio file.By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"createVoiceTemplateFromFile","parameters":[{"name":"channel_type","in":"query","description":"Audio record channel type (MIC or TEL), optional (TEL by default)","required":false,"schema":{"type":"string","enum":["MIC","TEL","MIXED"]}},{"name":"configuration","in":"query","description":"Configuration, optional","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/voice_template_factory/create_voice_template_checked_from_samples":{"post":{"tags":["voice-template-factory-controller"],"summary":"Create voice template and perform audio checks using given PCM16 audio samples","operationId":"CreateTemplateWithChecksFromSamples","parameters":[{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"minimum_snr_db","in":"query","description":"SNR threshold in dB. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_length_ms","in":"query","description":"Speech length threshold in milliseconds. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_relative_length","in":"query","description":"Minimum speech relative length (speech length relative to the total audio length) required to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"maximumMultipleSpeakersDetectorScore","in":"query","description":"Maximum multiple speakers detector score allowed to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"channel_type","in":"query","description":"Audio record channel type, optional","required":false,"schema":{"type":"string","enum":["MIC","TEL","MIXED"]}},{"name":"configuration","in":"query","description":"Voice template factory configuration, optional","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateCreationWithChecksResult"}}}}}}},"/voice_template_factory/create_voice_template_checked_from_file":{"post":{"tags":["voice-template-factory-controller"],"summary":"Create voice template and perform audio checks using given audio file.By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"CreateTemplateWithChecksFromFile","parameters":[{"name":"minimum_snr_db","in":"query","description":"SNR threshold in dB. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_length_ms","in":"query","description":"Speech length threshold in milliseconds. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_relative_length","in":"query","description":"Minimum speech relative length (speech length relative to the total audio length) required to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"maximumMultipleSpeakersDetectorScore","in":"query","description":"Maximum multiple speakers detector score allowed to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"channel_type","in":"query","description":"Audio record channel type, optional","required":false,"schema":{"type":"string","enum":["MIC","TEL","MIXED"]}},{"name":"configuration","in":"query","description":"Voice template factory configuration, optional","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemplateCreationWithChecksResult"}}}}}}},"/speech_summary_engine/get_speech_summary_from_samples":{"post":{"tags":["speech-summary-rest-controller"],"summary":"Calculate speech summary using given PCM16 audio samples","operationId":"getSpeechSummaryFromSamples","parameters":[{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpeechSummary"}}}}}}},"/speech_summary_engine/get_speech_summary_from_file":{"post":{"tags":["speech-summary-rest-controller"],"summary":"Calculate speech summary using given audio file.By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"getSpeechSummaryFromFile","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpeechSummary"}}}}}}},"/snr_computer/compute_with_samples":{"post":{"tags":["snr-rest-controller"],"summary":"Estimate signal-to-noise ratio (SNR, dB) in human voice frequency range using given PCM16 audio samples","operationId":"computeSnrForSamples","parameters":[{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"number","format":"float"}}}}}}},"/snr_computer/compute_with_file":{"post":{"tags":["snr-rest-controller"],"summary":"Estimate signal-to-noise ratio (SNR, dB) in human voice frequency range using given audio file.By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"computeSnrForFile","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"number","format":"float"}}}}}}},"/quality_check/check_quality_from_samples":{"post":{"tags":["quality-check-rest-controller"],"summary":"Checks whether audio buffer is suitable from the quality perspective","operationId":"checkQualityFromSamples","parameters":[{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"minimum_snr_db","in":"query","description":"Minimum signal-to-noise ratio required to pass quality check in dB","required":true,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_length_ms","in":"query","description":"Minimum speech length required to pass quality check in milliseconds","required":true,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_relative_length","in":"query","description":"Minimum speech relative length (speech length relative to the total audio length) required to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"maximum_multiple_speakers_detector_score","in":"query","description":"Maximum multiple speakers detector score allowed to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QualityCheckEngineResult"}}}}}}},"/quality_check/check_quality_from_file":{"post":{"tags":["quality-check-rest-controller"],"summary":"Checks whether audio file is suitable from the quality perspective.By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"checkQualityFromFile","parameters":[{"name":"minimum_snr_db","in":"query","description":"Minimum signal-to-noise ratio required to pass quality check in dB","required":true,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_length_ms","in":"query","description":"Minimum speech length required to pass quality check in milliseconds","required":true,"schema":{"type":"number","format":"float"}},{"name":"minimum_speech_relative_length","in":"query","description":"Minimum speech relative length (speech length relative to the total audio length) required to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}},{"name":"maximum_multiple_speakers_detector_score","in":"query","description":"Maximum multiple speakers detector score allowed to pass quality check. Optional, will become mandatory in future releases","required":false,"schema":{"type":"number","format":"float"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["audio_file"],"type":"object","properties":{"audio_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QualityCheckEngineResult"}}}}}}},"/identification_result/get_indexes_of_matched_templates":{"post":{"tags":["identification-result-rest-controller"],"summary":"Get indexes of matched templates","operationId":"getIndexesOfMatchedTemplates","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentificationResultModel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}}},"/identification_engine/identify":{"post":{"tags":["identification-engine-rest-controller"],"summary":"Identify speaker with given voice template in identification list","operationId":"identify","parameters":[{"name":"acceptance_level","in":"query","description":"Identification acceptance level, optional","required":false,"schema":{"type":"number","format":"float"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentifyRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentificationResultModel"}}}}}}},"/identification_engine/enrich_identification_list":{"post":{"tags":["identification-engine-rest-controller"],"description":"Enrich identification list","operationId":"enrichIdentificationList","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrichListRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/identification_engine/create_identification_list":{"post":{"tags":["identification-engine-rest-controller"],"description":"Create identification list","operationId":"createIdentificationList","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateListRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/diarization_engine/get_segmentation_from_samples":{"post":{"tags":["diarization-rest-controller"],"summary":"Perform speaker diarization using given PCM16 audio samples","operationId":"getSegmentationFromSamples","parameters":[{"name":"num_speakers","in":"query","description":"Number of speakers, optional","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/AudioInterval"}}}}}}}}},"/diarization_engine/get_segmentation_from_file":{"post":{"tags":["diarization-rest-controller"],"summary":"Perform speaker diarization using given audio file. By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"getSegmentationFromFile","parameters":[{"name":"num_speakers","in":"query","description":"Number of speakers, optional"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/AudioInterval"}}}}}}}}},"/core/read_as_pcm16_samples":{"post":{"tags":["core-rest-controller"],"summary":"Reads WAV file as a PCM16 bytes buffer (WAV file can be of any format)","operationId":"readAsPCM16Samples","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input WAV file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pcm16SamplesResult"}}}}}}},"/attributes_estimator/estimate_with_samples":{"post":{"tags":["attributes-rest-controller"],"summary":"Estimate persons attributes using given PCM16 audio samples","operationId":"estimateFromSamples","parameters":[{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Attributes"}}}}}}},"/attributes_estimator/estimate_with_file":{"post":{"tags":["attributes-rest-controller"],"summary":"Estimate persons attributes using given audio file. By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"estimateFromFile","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Attributes"}}}}}}},"/antispoof_engine/is_spoof_samples":{"post":{"tags":["antispoof-rest-controller"],"summary":"Test whether given PCM16 audio samples contain spoofed speech","operationId":"checkSpoofSamples","parameters":[{"name":"sample_rate","in":"query","description":"Audio sample rate","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/octet-stream":{"schema":{"type":"array","description":"PCM16 audio samples","items":{"type":"string","format":"byte"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AntispoofResult"}}}}}}},"/antispoof_engine/is_spoof_file":{"post":{"tags":["antispoof-rest-controller"],"summary":"Test whether given audio file contains spoofed speech. By default audio is considered to have WAV format. Ogg Opus audio is also supported, specify audio/ogg type explicitly to pass it","operationId":"checkSpoofFile","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["wav_file"],"type":"object","properties":{"wav_file":{"type":"string","description":"Input audio file","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AntispoofResult"}}}}}}},"/voice_template_factory/get_minimum_audio_sample_rate":{"get":{"tags":["voice-template-factory-controller"],"summary":"Get minimum supported input audio sampling frequency in Hz","operationId":"getMinimumAudioSampleRate","parameters":[{"name":"configuration","in":"query","description":"Configuration, optional","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}}}}},"/voice_template_factory/get_init_data_id":{"get":{"tags":["voice-template-factory-controller"],"summary":"Get ID of the init data used to create the factory","operationId":"getInitDataId","parameters":[{"name":"configuration","in":"query","description":"Configuration, optional","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/quality_check/get_recommended_thresholds":{"get":{"tags":["quality-check-rest-controller"],"summary":"Gets recommended quality checking thresholds for the specified scenario","operationId":"getRecommendedThresholds","parameters":[{"name":"scenario","in":"query","description":"Scenario for which recommended thresholds will be responded","required":true,"schema":{"type":"string","enum":["VERIFY_TI_ENROLLMENT","VERIFY_TI_VERIFICATION","VERIFY_TD_ENROLLMENT","VERIFY_TD_VERIFICATION","LIVENESS"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QualityCheckMetricsThresholds"}}}}}}},"/core/get_expiration_date":{"get":{"tags":["core-rest-controller"],"summary":"Returns license expiration date in YYYY-MM-DD format","operationId":"getExpirationDate","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"date-time"}}}}}}},"/core/get_build_info":{"get":{"tags":["core-rest-controller"],"summary":"Get VoiceSDK CC build info","operationId":"getBuildInfo","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildInfo"}}}}}}}},"components":{"schemas":{"TemplateMatchRequest":{"type":"object","properties":{"template1":{"type":"string"},"template2":{"type":"string"}}},"VerifyResult":{"type":"object","properties":{"probability":{"type":"number","format":"float"},"score":{"type":"number","format":"float"}}},"QualityCheckEngineResult":{"type":"object","properties":{"snr_db":{"type":"number","format":"float"},"speech_length_ms":{"type":"number","format":"float"},"speech_relative_length":{"type":"number","format":"float"},"multiple_speakers_detector_score":{"type":"number","format":"float"},"quality_check_short_description":{"type":"string","enum":["TOO_NOISY","TOO_SMALL_SPEECH_TOTAL_LENGTH","OK","TOO_SMALL_SPEECH_RELATIVE_LENGTH","MULTIPLE_SPEAKERS_DETECTED"]}}},"QualityCheckResultResponse":{"type":"object","properties":{"threshold_values":{"type":"object","additionalProperties":{"type":"number","format":"float"}},"obtained_values":{"type":"object","additionalProperties":{"type":"number","format":"float"}},"quality_short_description":{"type":"string","enum":["TOO_NOISY","TOO_SMALL_SPEECH_TOTAL_LENGTH","OK","TOO_SMALL_SPEECH_RELATIVE_LENGTH","MULTIPLE_SPEAKERS_DETECTED"]}}},"TemplateCreationWithChecksResult":{"type":"object","properties":{"antispoof_result":{"type":"object"},"quality_check_result":{"$ref":"#/components/schemas/QualityCheckResultResponse"},"quality_check_engine_result":{"$ref":"#/components/schemas/QualityCheckEngineResult"},"voice_template":{"type":"string"}}},"AudioInterval":{"type":"object","properties":{"start_sample":{"type":"integer","format":"int64"},"end_sample":{"type":"integer","format":"int64"},"start_time":{"type":"integer","format":"int64"},"end_time":{"type":"integer","format":"int64"},"sample_rate":{"type":"integer","format":"int64"}}},"SpeechEvent":{"type":"object","properties":{"is_voice":{"type":"boolean"},"audio_interval":{"$ref":"#/components/schemas/AudioInterval"}}},"SpeechInfo":{"type":"object","properties":{"total_length_ms":{"type":"number","format":"float"},"speech_length_ms":{"type":"number","format":"float"},"background_length_ms":{"type":"number","format":"float"}}},"SpeechSummary":{"type":"object","properties":{"speech_info":{"$ref":"#/components/schemas/SpeechInfo"},"speech_events":{"type":"array","items":{"$ref":"#/components/schemas/SpeechEvent"}}}},"IdentificationResultModel":{"required":["scores","threshold"],"type":"object","properties":{"scores":{"type":"array","description":"similarity score for each template","items":{"type":"number","description":"similarity score for each template","format":"float"}},"threshold":{"type":"number","description":"similarity score threshold","format":"float"}}},"IdentifyRequest":{"required":["identification_list","voice_template"],"type":"object","properties":{"voice_template":{"type":"string","description":"voice template of the speaker to identify"},"identification_list":{"type":"string","description":"identification list to search speaker in"}}},"EnrichListRequest":{"required":["identification_list","voice_templates"],"type":"object","properties":{"voice_templates":{"type":"array","description":"voice templates to enrich list with","items":{"type":"string","description":"voice templates to enrich list with"}},"identification_list":{"type":"string","description":"identification list that will be enriched"}}},"CreateListRequest":{"required":["voice_templates"],"type":"object","properties":{"voice_templates":{"type":"array","description":"voice templates to create list from","items":{"type":"string","description":"voice templates to create list from"}}}},"AudioInfo":{"type":"object","properties":{"samples_num":{"type":"integer","format":"int64"},"sample_rate":{"type":"integer","format":"int32"},"channels_num":{"type":"integer","format":"int32"}},"description":"audio info"},"Pcm16SamplesResult":{"type":"object","properties":{"audioInfo":{"$ref":"#/components/schemas/AudioInfo"},"pcm16Samples":{"type":"array","description":"base64 encoded PCM16 audio samples","items":{"type":"string","description":"base64 encoded PCM16 audio samples","format":"byte"}}}},"Attributes":{"type":"object","properties":{"gender_score":{"type":"number","format":"float"},"gender":{"type":"string","enum":["MALE","FEMALE"]},"age":{"type":"integer","format":"int32"},"phone_call_participant":{"type":"string","enum":["OPERATOR","CUSTOMER","OTHER","UNDEFINED"]}}},"AntispoofResult":{"type":"object","properties":{"score":{"type":"number","format":"float"},"score_replay":{"type":"number","format":"float"},"score_tts":{"type":"number","format":"float"},"score_vc":{"type":"number","format":"float"},"unsuitable_input_message":{"type":"string"}}},"QualityCheckMetricsThresholds":{"type":"object","properties":{"minimum_snr_db":{"type":"number","format":"float"},"minimum_speech_length_ms":{"type":"number","format":"float"},"minimum_speech_relative_length":{"type":"number","format":"float"},"maximum_multiple_speakers_detector_score":{"type":"number","format":"float"}}},"BuildInfo":{"type":"object","properties":{"version":{"type":"string"},"components":{"type":"string"},"git_info":{"type":"string"},"license_info":{"type":"string"},"license_expiration_date":{"type":"string"}}}}}}